Skip to main content
GET
/
v1
/
users
/
{userId}
/
transactions
List transactions
curl --request GET \
  --url https://api.cadanapay.com/v1/users/{userId}/transactions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "d0137ede-7df1-4a54-8206-b3ab7b03876f",
      "type": "payout",
      "beneficiaryId": "c871b333-e129-409c-aabd-7cfb55a967cc",
      "quoteId": "d35d2bd6-188b-4e82-9a16-71442dad7375",
      "amount": {
        "value": "500.00",
        "currency": "PHP"
      },
      "sourceAmount": {
        "value": "9.00",
        "currency": "USD"
      },
      "feeAmount": {
        "value": "0.10",
        "currency": "USD"
      },
      "fxRate": "56.1234",
      "reference": "3f70be8e-426f-4e89-b883-9c97a1c334d5",
      "status": "succeeded",
      "createdTimestamp": 1748478276,
      "lastUpdatedTimestamp": 1748478276
    }
  ],
  "node": {
    "previous": null,
    "next": null
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string<uuid>
required

The unique identifier for the user

Example:

"c06f3427-3bbe-4d70-9a54-28acda267e48"

Query Parameters

reference
string

Client reference to filter transactions

type
enum<string>

Transaction type to filter by

Available options:
payout,
savings_funding

Response

List of transactions

data
object[]
node
object

Node pagination